PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PHashTableElement Struct Reference

`#include <dict.h>`

Collaboration diagram for PHashTableElement:
[legend]

## Public Member Functions
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes
PObject * | key
PObject * | data
PHashTableElement * | next
PHashTableElement * | prev
PINDEX | bucket

## Member Function Documentation

PHashTableElement::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

PINDEX PHashTableElement::bucket

PObject* PHashTableElement::data

Referenced by PDictionary< K, D >::iterator_base::SetElement().

PObject* PHashTableElement::key

Referenced by PDictionary< K, D >::iterator_base::SetElement().

PHashTableElement* PHashTableElement::next

PHashTableElement* PHashTableElement::prev

The documentation for this struct was generated from the following file:

- dict.h